Summary:	Desktop notifications library
Name:		libnotify
Version:	0.2.2
Release:	1%{?dist}
License:	GPL
Group:		System Environment/Libraries
Source: 	http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.gz
URL: 		http://www.galago-project.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	notification-daemon
Requires:	dbus >= 0.23
BuildRequires:	dbus-devel >= 0.23
# This provides the needed glib and gdk stuff.
BuildRequires:	gtk2-devel

%description
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package devel
Summary:	Development files for %{name}.
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# Remove libtool archive remnant
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/notify-send
%{_libdir}/*.so.*

%files devel
%dir %{_includedir}/libnotify/
%{_includedir}/libnotify/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnotify.pc

%changelog
* Thu Nov 17 2005 Linus Walleij <triad@df.lth.se> 0.2.2-1
- Stole Matthews RPM spec and adapted it for the Fedora Extras

* Thu Sep 01 2005 Matthew Hall <matt@nrpms.net> 0.2.2-1
- 0.2.2 Release
